%define upstream_name Dist-Zilla-Plugin-Author-KENTNL-CONTRIBUTING
%define upstream_version 0.001005

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Generates a CONTRIBUTING file for KENTNL's distributions
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla::Plugin::GenerateFile::FromShareDir) >= 0.6.0
BuildRequires: perl(Dist::Zilla::Util::ConfigDumper)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::ShareDir::Install) >= 0.60.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(Test::More) >= 0.890.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This is a personal Dist::Zilla plug-in that generates a CONTRIBUTING
section in my distribution.

I would have made something more general, but my head exploded in
thinking about it.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.1.5-2.mga6
+ Revision: 1025821
- Rebuild for perl 5.22.2

* Thu Apr 28 2016 shlomif <shlomif> 0.1.5-1.mga6
+ Revision: 1007509
- update to 0.001005

* Fri Feb 19 2016 umeabot <umeabot> 0.1.4-2.mga6
+ Revision: 968227
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 sander85 <sander85> 0.1.4-1.mga6
+ Revision: 851653
- imported package perl-Dist-Zilla-Plugin-Author-KENTNL-CONTRIBUTING

